/*
 * Copyright (c) 2008, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestSystemEventListener.java 62525 2011-04-15 12:14:31Z dougd $
 */
package com.sun.ts.tests.jsf.api.javax_faces.event.common;

import javax.faces.event.AbortProcessingException;
import javax.faces.event.SystemEvent;
import javax.faces.event.SystemEventListener;

public class TestSystemEventListener implements SystemEventListener {

    private String action = null;

    @Override
    public void processEvent(SystemEvent arg0)
            throws AbortProcessingException {
        action = "success";
        System.out.println("Processed Action");
    }

    @Override
    public boolean isListenerForSource(Object arg0) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public String getActionString() {
        return action;
    }
}
